# Geany
**Geany**  — среда разработки программного обеспечения, написанная на языке C с использованием библиотеки GTK+. Отличие Geany в том, что это быстрая и легкая среда разработки.
Преимущества Geany.  
**Geany** — это текстовый редактор, который позволяет подключать сторонние библиотеки для создания полноценной среды разработки. Geany поддерживает 64 языка программирования. Имеет следующие особенности:

1. быстрый,
2. бесплатный,
3. кроссплатформенный,
4. портабельный,
5. русскоязычный,
6. расширяемый.
___ 
![](https://progtips.ru/wp-content/uploads/2019/02/geany1.png)
___
В настоящее время одной из самой популярной сред разработки является NotePad++. Эти два редактора основаны на одном движке Scintilla. При этом Notepad++  работает только в среде Windows, а Geany работает под управлением Windows, Linux, FreeBSD , NetBSD , OpenBSD , MacOS X, AIX v5.3 и Solaris Express.
Поэтому среди этих двух программ лучше выбирать Geany.
___
### Основные функции Geany:

+ Подсветка синтаксиса,
+ Поддержка большого количества кодировок,
+ Сворачивание блоков кода,
+ Автозавершение имен,
+ Работа со сниппетами (фрагментами кода),
+ Автоматическое закрытие тегов XML и HTML,
+ Поддержка языков C, Java, PHP, HTML, Python, Perl, Pascal и других,
+ Списки имен,
+ Навигация по коду,
+ Отладка (требуется плагин GeanyGDB),
+ Использование контекстной документации man, Devhelp,
+ Сборка — система для компиляции и исполнения кода,
+ Простое управление проектом,
+ Интерфейс для модулей.
___
### Запуск программы
Редактор Geany включен в сборку «PHP-экспресс«, поэтому, если она у вас установлена, то для запуска нажмите на
**`С:\Prog\Geany\GeanyPortable.exe`**
___
![](https://progtips.ru/wp-content/uploads/2019/02/geany2.png)
___
При запуске Geany загружает все файлы, которые были открыты в предыдущем сеансе работы. Это можно отключить в настройках.  
Если хотите запускать Geany с английским интерфейсом, то создайте новый документ в Geany и напишите две строки:  
`set LANG=en`  
`start GeanyPortable`  
Затем сохраните этот документ под именем с расширением с именем **`geany_en.bat`**. Теперь двойной клик по этому файлу будет запускать Geany с английским интерфейсом.
___
### Настройки программы
Geany имеет множество настроек, поэтому весьма удобен в работе. Для изменения настроек нажмите меню «Правка — Настройки».
___
![](https://progtips.ru/wp-content/uploads/2019/02/geany3.png)
___
Можно поменять панель инструментов.
___
![](https://progtips.ru/wp-content/uploads/2019/02/geany4.png)
___
### Работа с проектами
В основе работы Geany лежит работа с проектами. Для создания проекта нужно выполнить пункт меню: «Проект — Новый». Действия с проектом настраиваются в свойствах проекта.
___
![](https://progtips.ru/wp-content/uploads/2019/02/geany5.png)
___
### Плагины для Geany
Функциональность редактора расширяется плагинами. Посмотреть его можно здесь: plugins.geany.org
___
![enter image description here](https://progtips.ru/wp-content/uploads/2019/02/geany6.png)
___
Также можно написать свои собственные плагины на C. Или написать сценарии Lua для Geany с помощью плагина Lua.